org.apache.ode.store.jpa

## Class DbConfStoreConnectionFactory

- java.lang.Object
- - org.apache.ode.store.jpa.DbConfStoreConnectionFactory

- All Implemented Interfaces:
    ConfStoreConnectionFactory, ProcessStoreTransactionProvider

      public class DbConfStoreConnectionFactory
      extends java.lang.Object
      implements ConfStoreConnectionFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DbConfStoreConnectionFactory(javax.sql.DataSource ds, boolean createDatamodel, java.lang.String txFactoryClassName)`
    `DbConfStoreConnectionFactory(javax.sql.DataSource ds, java.util.Properties initialProps, boolean createDatamodel, java.lang.String txFactoryClassName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginTransaction()`
    `void` | `commitTransaction()`
    `ConfStoreConnection` | `getConnection()`
    `void` | `rollbackTransaction()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DbConfStoreConnectionFactory

          public DbConfStoreConnectionFactory(javax.sql.DataSource ds,
                                      boolean createDatamodel,
                                      java.lang.String txFactoryClassName)

    - #### DbConfStoreConnectionFactory

          public DbConfStoreConnectionFactory(javax.sql.DataSource ds,
                                      java.util.Properties initialProps,
                                      boolean createDatamodel,
                                      java.lang.String txFactoryClassName)

  - ### Method Detail

    - #### getConnection

          public ConfStoreConnection getConnection()

      Specified by:
        `getConnection` in interface `ConfStoreConnectionFactory`

    - #### beginTransaction

          public void beginTransaction()

      Specified by:
        `beginTransaction` in interface `ProcessStoreTransactionProvider`

    - #### commitTransaction

          public void commitTransaction()

      Specified by:
        `commitTransaction` in interface `ProcessStoreTransactionProvider`

    - #### rollbackTransaction

          public void rollbackTransaction()

      Specified by:
        `rollbackTransaction` in interface `ProcessStoreTransactionProvider`